import {createApp} from 'vue'
import {createPinia} from 'pinia'

import {setupI18n} from './i18n'
import App from './App.vue'
import router from './router'

import '../tailwind.css'

const i18n = setupI18n()
const app = createApp(App)

// todo: define lang setup
// await loadLocaleMessages(i18n, 'de')

app.use(createPinia())
app.use(router)
app.use(i18n)

app.mount('#app')
